## com.bbn.openmap.gui
Interface Tool

All Known Implementing Classes:
  AmpLinkLayer, EditorLayer, IconFactoryTestingTool, OMToolComponent, OMToolSet, ScenarioGraphicLoader

public interface Tool

Represents an item on the ToolPanel. If the Tool is a PropertyConsumer and a property prefix is used, the prefix should be used as the key as it is supposed to be unique and can be used as a known discriminator.

Author:
  john gash contributed to this notion of a Tool.

Method Summary
`java.awt.Container` `getFace()` The retrieval tool's interface.
`java.lang.String` `getKey()` The retrieval key for this tool.
`void` `setKey(java.lang.String aKey)` Set the retrieval key for this tool.

Method Detail

### getFace

    public java.awt.Container getFace()

  The retrieval tool's interface. This is added to the tool bar.

  Returns:
    String The key for this tool.

### getKey

    public java.lang.String getKey()

  The retrieval key for this tool.

  Returns:
    String The key for this tool.

### setKey

    public void setKey(java.lang.String aKey)

  Set the retrieval key for this tool.

  Parameters:
    `aKey` - The key for this tool.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details